/**
 * @description 公共模块
 */
import request from '@/utils/request'

// 各种类型集合
export const getTypeList = () => (request({
    method: "POST",
    url: "common/get_type_list"
}))

// 获取前端鉴权心要字段
export const getAuthentication = () => (request({
    method: "POST",
    url: ""
}))


/**
 * 导入模板路径
 * @param {Object} data 导入模板路径
 * @returns Promise
 */
export const postImportFile = data => (request({
    data,
    method: "POST",
    url: "common/import"
}))

/**
 * 获取导入的模板链接
 * @param {Object} data 定义导入模板的module
 * @returns Promise
 */
export const getImportTemplate = data => (request({
    data,
    method: "POST",
    url: "common/get_import_template"
}))

/**
 * 获取物业主管或者信息主管员工信息
 * @param {Object} data {type: [1,2]} 1=物业主管,2=信息负责人  
 * @returns Promise
 */
export const getMaintainData = data => (request({
    data,
    method: "POST",
    url: "common/get_maintain_user"
}))